#pragma once

class SocketServer {
public:
    static constexpr int Port = 3000;

    void begin() {
        _server.begin();
    }

    void handleClient() {
        auto client = _server.available();

        if (client) {
            Serial.println("Client connected to socket server: " + client.remoteIP().toString() + ":" + client.remotePort());
        } else {
            return;
        }

        while (client.connected()) {
            while (client.available() > 0) {
                auto chr = client.read();
                Serial.write(chr);
                Serial1.write(chr);
            }
        }
        client.stop();
        Serial.println();
        Serial.println("Client disconnected");
    }

private:
    WiFiServer _server{Port};
};
